# comp

pré-interprétation ou "compilation" de fonctions Scilab

## Séquence d'appel

    comp(function [,opt])

## Paramètres

function

  une fonction non "compilée" (type 11)

opt

  flag with value 0 (default) or 2.

## Description

`comp(function)` "compile" la fonction `function`. Les fonctions "compilées" et interprétées sont équivalentes mais les fonctions "compilées" sont plus rapides. Les fonctions fournies dans les bibliothèques standard de Scilab sont "compilées".

La définition en line des fonction ainsi que la forme courte des fonctions `exec` et `deff` produisent des fonctions compilées. L'usage de la fonction `comp` est donc réservé a des usages très particuliers. Pour générer des fonction non compilées, il faut appeler les fonctions exec ou deff avec l'option `"n"`.

L'option opt==2 requiert que la compilation produise aussi les instructions de profilage.. A noter qu'il est possible d'ajouter ces instructions de profilage à une fonction déjà compileée en utilisant la fonction add_profiling.

L'option opt==1 est obsolete est équivalente à opt==0.

## Voir aussi

- deff
- exec
- function
- add_profiling
- profile